Bug 61858 - Rescue disk doesn't work for RAID1 partitions
Summary: Rescue disk doesn't work for RAID1 partitions
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rescue-disk   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-25 11:11 UTC by Jeremy Sanders
Modified: 2007-04-18 16:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-16 16:39:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeremy Sanders 2002-03-25 11:11:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020310

Description of problem:
If the root disk is on raid1, then the rescue disk can't detect the raid
partitions, so fails to mount the root partition.

This means it is very hard to fix grub by hand if the primary disk fails in a
raid 1 set.

If it fails, you have to go into the install program, get to the shell, make the
device for the partition, mount the partition as ext2, and chroot to this disk.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Make a redhat install using raid1 for /
2. Try and run rescue mode on it
3.
	

Additional info:

Comment 1 Matt Wilson 2003-10-16 16:39:11 UTC
this is fixed in newer releses.



Note You need to log in before you can comment on or make changes to this bug.